coverage:gcc10-mpi-coverage:
  image: localhost:5000/ubuntu_gcc10_mpi
  stage: coverage
  script:
    - mkdir -p build/gcc10-cov-mpi
    - cd build/gcc10-cov-mpi
    - CXX=g++-10 CC=gcc-10 cmake ../.. -DCMAKE_BUILD_TYPE=Coverage
    - make pugs
    - make coverage
  cache:
    key: "${CI_COMMIT_REF_SLUG}-gcc10-cov-mpi"
    paths:
      - build/gcc10-cov-mpi
    untracked: true
